Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.vmplugin
Interface VMPlugin

Method Summary
`void` | `configureClassNode(CompileUnit compileUnit, ClassNode classNode)`
`def` | `getPluginDefaultGroovyMethods()`
`void` | `setGenericsTypes(ClassNode c)`

Method Detail

### configureClassNode

    public void configureClassNode(CompileUnit compileUnit, ClassNode classNode)

### getPluginDefaultGroovyMethods

    public def getPluginDefaultGroovyMethods()

### setGenericsTypes

    public void setGenericsTypes(ClassNode c)